Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Class TypeTable

    java.lang.Object
      org.apache.axis2.description.java2wsdl.TypeTable

    public class TypeTable

extends java.lang.Object

Field Summary
`static javax.xml.namespace.QName` | `ANY_TYPE`

Constructor Summary
`TypeTable()`

Method Summary
`void` | `addClassNameForQName(javax.xml.namespace.QName qname, java.lang.String className)`
`void` | `addComplexSchema(java.lang.String name, javax.xml.namespace.QName schemaType)`
`java.lang.String` | `getClassNameForQName(javax.xml.namespace.QName qname)`
`java.util.Map` | `getComplexSchemaMap()` Return the complex type map
`javax.xml.namespace.QName` | `getComplexSchemaType(java.lang.String name)`
`javax.xml.namespace.QName` | `getQNamefortheType(java.lang.String typeName)` Get the qname for a type first try the simple types if not try the complex types
`javax.xml.namespace.QName` | `getSimpleSchemaTypeName(java.lang.String typeName)` Return the schema type QName given the type class name
`boolean` | `isSimpleType(java.lang.String typeName)` Return whether the given type is a simple type or not

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY_TYPE

    public static final javax.xml.namespace.QName ANY_TYPE

Constructor Detail

### TypeTable

    public TypeTable()

Method Detail

### getSimpleSchemaTypeName

    public javax.xml.namespace.QName getSimpleSchemaTypeName(java.lang.String typeName)

  Return the schema type QName given the type class name

  Parameters:
    `typeName` - the name of the type
  Returns:
    the name of the simple type or null if it is not a simple type

### isSimpleType

    public boolean isSimpleType(java.lang.String typeName)

  Return whether the given type is a simple type or not

  Parameters:
    `typeName` - the name of the type
  Returns:
    true if the type is a simple type

### getComplexSchemaMap

    public java.util.Map getComplexSchemaMap()

  Return the complex type map

  Returns:
    the map with complex types

### addComplexSchema

    public void addComplexSchema(java.lang.String name,
                                 javax.xml.namespace.QName schemaType)

### getComplexSchemaType

    public javax.xml.namespace.QName getComplexSchemaType(java.lang.String name)

### getClassNameForQName

    public java.lang.String getClassNameForQName(javax.xml.namespace.QName qname)

### addClassNameForQName

    public void addClassNameForQName(javax.xml.namespace.QName qname,
                                     java.lang.String className)

### getQNamefortheType

    public javax.xml.namespace.QName getQNamefortheType(java.lang.String typeName)

  Get the qname for a type first try the simple types if not try the complex types

  Parameters:
    `typeName` - name of the type
  Returns:
    the Qname for this type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.